camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jonathan Anstey (Resolved) (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (CAMEL-4785) camel-aws can allow SNAPSHOT transitive dependencies
Date Fri, 16 Dec 2011 00:23:30 GMT

     [ https://issues.apache.org/jira/browse/CAMEL-4785?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jonathan Anstey resolved CAMEL-4785.
------------------------------------

    Resolution: Fixed

[janstey@duffman camel-aws]$ svn ci -m "CAMEL-4785 - lock down versions of dependencies coming
from aws sdk"
Sending        camel-aws/pom.xml
Transmitting file data .
Committed revision 1215000.

                
> camel-aws can allow SNAPSHOT transitive dependencies
> ----------------------------------------------------
>
>                 Key: CAMEL-4785
>                 URL: https://issues.apache.org/jira/browse/CAMEL-4785
>             Project: Camel
>          Issue Type: Bug
>    Affects Versions: 2.9.0
>            Reporter: Jonathan Anstey
>            Assignee: Jonathan Anstey
>             Fix For: 2.9.1
>
>
> The camel-aws component depends on aws-java-sdk which has several dependencies defined
using version ranges. The problem with version ranges is that they can introduce SNAPSHOT
versions if they are available on your system which is not so good... in my case I had this
http://download.java.net/maven/2/com/sun/mail/javax.mail/1.4.5-SNAPSHOT/javax.mail-1.4.5-SNAPSHOT.jar
jar in my local repo so camel-aws promptly used that SNAPSHOT lib.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message